"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var SrcdsLogType = require("./SrcdsLog");
var Globals = require("../globals");
var KilledType = (function (_super) {
    __extends(KilledType, _super);
    function KilledType(time, data) {
        var _this = _super.call(this, time) || this;
        _this.AttackingPlayer = new Globals.Player(data[1]);
        _this.AttackingLocation = new Globals.Vector(data[2], data[3], data[4]);
        _this.Type = "Killed";
        _this.VictimPlayer = new Globals.Player(data[5]);
        _this.VictimLocation = new Globals.Vector(data[6], data[7], data[8]);
        _this.Weapon = data[9];
        _this.How = data[10];
        return _this;
    }
    KilledType.Identifier = {
        regex: new RegExp(/^/.source
            + Globals.SteamIdRegex.source
            + / /.source
            + Globals.VectorRegex.source
            + / killed(?: other)? /.source
            + Globals.SteamIdRegex.source
            + / /.source
            + Globals.VectorRegex.source
            + / with "(\S+)"(?: \((.+)\))?$/.source)
    };
    return KilledType;
}(SrcdsLogType.SrcdsLog));
exports.KilledType = KilledType;
//# sourceMappingURL=KilledType.js.map