import t = require("./Types/SrcdsLog");
import AssistType = require('./Types/AssistType');
import AttackedType = require('./Types/AttackedType');
import ConnectionType = require('./Types/ConnectionType');
import KilledType = require('./Types/KilledType');
import PlayerNameType = require('./Types/PlayerNameType');
import PlayerTriggeredType = require('./Types/PlayerTriggeredType');
import PurchasedType = require('./Types/PurchasedType');
import RconType = require('./Types/RconType');
import SayType = require('./Types/SayType');
import ScoredType = require('./Types/ScoredType');
import ServerCvarType = require('./Types/ServerCvarType');
import ServerEventType = require('./Types/ServerEventType');
import SpawnedType = require('./Types/SpawnedType');
import SrcdsLogType = require('./Types/SrcdsLog');
import SuicideType = require('./Types/SuicideType');
import SwitchedType = require('./Types/SwitchedType');
import TeamNameType = require('./Types/TeamNameType');
import TeamTriggeredType = require('./Types/TeamTriggeredType');
import ThrewType = require('./Types/ThrewType');
import ValidatedType = require('./Types/ValidatedType');
import WarmodType = require('./Types/WarmodType');
export declare type ISrcdsLog = SrcdsLogType.ISrcdsLog;
export declare type AssistType = AssistType.AssistType;
export declare type AttackedType = AttackedType.AttackedType;
export declare type ConnectionType = ConnectionType.ConnectionType;
export declare type KilledType = KilledType.KilledType;
export declare type PlayerNameType = PlayerNameType.PlayerNameType;
export declare type PlayerTriggeredType = PlayerTriggeredType.PlayerTriggeredType;
export declare type PurchasedType = PurchasedType.PurchasedType;
export declare type RconType = RconType.RconType;
export declare type SayType = SayType.SayType;
export declare type ScoredType = ScoredType.ScoredType;
export declare type ServerCvarType = ServerCvarType.ServerCvarType;
export declare type ServerEventType = ServerEventType.ServerEventType;
export declare type SpawnedType = SpawnedType.SpawnedType;
export declare type SrcdsLog = SrcdsLogType.SrcdsLog;
export declare type SuicideType = SuicideType.SuicideType;
export declare type SwitchedType = SwitchedType.SwitchedType;
export declare type TeamNameType = TeamNameType.TeamNameType;
export declare type TeamTriggeredType = TeamTriggeredType.TeamTriggeredType;
export declare type ThrewType = ThrewType.ThrewType;
export declare type ValidatedType = ValidatedType.ValidatedType;
export declare type WarmodType = WarmodType.WarmodType;
export { ConnectionActions } from "./Types/ConnectionType";
export { PlayerTriggerType } from "./Types/PlayerTriggeredType";
export { TeamTriggerType } from "./Types/TeamTriggeredType";
export { Team } from "./globals";
export { ServerEvents } from "./Types/ServerEventType";
export declare class SrcdsLogParser {
    parseLine(line: string): t.ISrcdsLog;
    private getDate;
    private getInstanceOf;
}
