"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var SrcdsLogType = require("./SrcdsLog");
var Globals = require("../globals");
var AttackedType = (function (_super) {
    __extends(AttackedType, _super);
    function AttackedType(time, data) {
        var _this = _super.call(this, time) || this;
        _this.AttackingPlayer = new Globals.Player(data[1]);
        _this.AttackingLocation = new Globals.Vector(data[2], data[3], data[4]);
        _this.Type = "Attacked";
        _this.VictimPlayer = new Globals.Player(data[5]);
        _this.VictimLocation = new Globals.Vector(data[6], data[7], data[8]);
        _this.Weapon = data[9];
        _this.DamageAmount = parseInt(data[10]);
        _this.DamageArmourAmount = parseInt(data[11]);
        _this.RemainingHealth = parseInt(data[12]);
        _this.RemainingArmour = parseInt(data[13]);
        _this.HitGroup = data[14];
        return _this;
    }
    AttackedType.Identifier = {
        regex: new RegExp(/^/.source
            + Globals.SteamIdRegex.source
            + / /.source
            + Globals.VectorRegex.source
            + / attacked /.source
            + Globals.SteamIdRegex.source
            + / /.source
            + Globals.VectorRegex.source
            + / with "(\S+)" \(damage "(\d+)"\) \(damage_armor "(\d+)"\) \(health "(\d+)"\) \(armor "(\d+)"\) \(hitgroup "(.+)"\)$/.source)
    };
    return AttackedType;
}(SrcdsLogType.SrcdsLog));
exports.AttackedType = AttackedType;
//# sourceMappingURL=AttackedType.js.map