"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var SrcdsLogType = require("./SrcdsLog");
var Globals = require("../globals");
var ValidatedType = (function (_super) {
    __extends(ValidatedType, _super);
    function ValidatedType(time, data, messageType) {
        var _this = _super.call(this, time) || this;
        _this.Type = "Validated";
        if (messageType == 'valid') {
            _this.Player = new Globals.Player(data[1]);
            _this.Success = true;
        }
        else if (messageType == 'failed') {
            _this.Player = data[1];
            _this.Success = false;
            _this.ErrorCode = parseInt(data[2]);
        }
        else {
            throw "invalid";
        }
        return _this;
    }
    ValidatedType.Identifier = [
        {
            regex: new RegExp("^" + Globals.SteamIdRegex.source + / STEAM USERID validated$/.source),
            extraArg: 'valid'
        },
        {
            regex: /^STEAMAUTH: Client (.+) received failure code (\d*)/,
            extraArg: 'failed'
        }
    ];
    return ValidatedType;
}(SrcdsLogType.SrcdsLog));
exports.ValidatedType = ValidatedType;
//# sourceMappingURL=ValidatedType.js.map